Subject: Re: bug#27732: Changing display manager can render system unbootable

From: ng0 <[email-masked]>
Date: Mon, 17 Jul 2017 11:47:49 +0000

Marius Bakke transcribed 1.6K bytes:
> Hello!
> 
> When changing display manager in the system configuration and invoking
> `guix system reconfigure`, the existing desktop environment will be
> killed. If you invoked the command from within said desktop environment,
> the reconfigure command will be forcefully terminated.
> 
> If you're unlucky, this might happen during `grub-install`. After
> logging in on a console and rebooting, this is what I got:
> 
> --8<---------------cut here---------------start------------->8---
> Welcome to GRUB!
> 
> Attempting to decrypt master key...
> Enter passphrase for hd1,gpt2 (<uuid>):
> Slot 0 opened
> error: file `/boot/grub/x86_64-efi/normal.mod' not found.
> Entering rescue mode...
> grub rescue>
> --8<---------------cut here---------------end--------------->8---
> 
> It can be recovered by booting by copying /boot/grub/x86_64-efi/* from a
> healthy system to the partially installed one.
> 
> I'm not sure how to mitigate this, since the DE restart is arguably a
> feature. A command analogous to `nixos-rebuild boot` might be of aid for
> those of us aware of this problem.

This is weird. I was aware of this and simply waited a reasonable long
time until I forced a reboot from such a system. I've done this
countless times in the past and it always worked.

But the situation is unfortunate and a fix would be good.

-- 
ng0
GnuPG: A88C8ADD129828D7EAC02E52E22F9BBFEE348588
GnuPG: https://n0is.noblogs.org/my-keys
https://www.infotropique.org https://krosos.org